import { BaseProvider } from '@tinystacks/ops-core';
import { AwsSdkVersionEnum } from './aws-credentials/aws-credentials-type.js';
import { CliEnvironmentProvider } from '@tinystacks/ops-core-widgets';
import { AwsCredentialsProvider as AwsCredentialsProviderProps, AwsCredentials as AwsCredentialsConfig } from '../ops-types.js';
export declare class AwsCredentialsProvider extends BaseProvider implements CliEnvironmentProvider {
    static type: string;
    credentials: AwsCredentialsConfig;
    accountId?: string;
    region?: string;
    constructor(args: AwsCredentialsProviderProps);
    static fromJson(object: AwsCredentialsProviderProps): AwsCredentialsProvider;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials/aws-credentials-type.js").AwsCredentials>;
    getCliEnvironment(..._args: any): Promise<{
        [key: string]: string;
    }>;
}
